complex:
  entity_embedder:
    dropout: 0.5
    regularize_weight: 1.3408200403806817e-08
  relation_embedder:
    dropout: 0.22684140529516872
    regularize_weight: 8.266519211068944e-14
dataset:
  name: fb15k-237
eval:
  batch_size: 256
  metrics_per:
    relation_type: true
  trace_level: example
import:
- reciprocal_relations_model
- complex
lookup_embedder:
  dim: 256
  initialize: uniform_
  initialize_args:
    normal_:
      mean: 0.0
      std: 0.5592429029559286
    uniform_:
      a: -0.8328168489829233
    xavier_normal_:
      gain: 1.0
    xavier_uniform_:
      gain: 1.0
  regularize_args:
    p: 3
    weighted: true
model: reciprocal_relations_model
negative_sampling:
  implementation: batch
  num_samples:
    o: 1000
    p: -1
    s: 529
reciprocal_relations_model:
  base_model:
    type: complex
train:
  auto_correct: true
  batch_size: 1024
  loss_arg: 1.0
  lr_scheduler: ReduceLROnPlateau
  lr_scheduler_args:
    factor: 0.95
    mode: max
    patience: 7
    threshold: 0.0001
  max_epochs: 400
  optimizer_args:
    lr: 0.18255429345236635
  type: negative_sampling
valid:
  early_stopping:
    min_threshold:
      epochs: 50
      metric_value: 0.05
    patience: 10

